package com.mortals.xhx.module.news.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.news.model.NewsRecordEntity;
/**
* 新闻访问记录信息查询对象
*
* @author zxfei
* @date 2023-09-18
*/
public class NewsRecordQuery extends NewsRecordEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 新闻ID */
    private Long newsIdStart;

    /** 结束 新闻ID */
    private Long newsIdEnd;

    /** 增加 新闻ID */
    private Long newsIdIncrement;

    /** 新闻ID列表 */
    private List <Long> newsIdList;

    /** 新闻ID排除列表 */
    private List <Long> newsIdNotList;

    /** 查看人名称 */
    private List<String> viewNameList;

    /** 查看人名称排除列表 */
    private List <String> viewNameNotList;
    /** 开始 累计查看次数 */
    private Integer sumViewsStart;

    /** 结束 累计查看次数 */
    private Integer sumViewsEnd;

    /** 增加 累计查看次数 */
    private Integer sumViewsIncrement;

    /** 累计查看次数列表 */
    private List <Integer> sumViewsList;

    /** 累计查看次数排除列表 */
    private List <Integer> sumViewsNotList;

    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 最后浏览时间 */
    private String viewTimeStart;

    /** 结束 最后浏览时间 */
    private String viewTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<NewsRecordQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<NewsRecordQuery> andConditionList;

    public NewsRecordQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 新闻ID
    * @return newsIdStart
    */
    public Long getNewsIdStart(){
        return this.newsIdStart;
    }

    /**
    * 设置 开始 新闻ID
    * @param newsIdStart
    */
    public void setNewsIdStart(Long newsIdStart){
        this.newsIdStart = newsIdStart;
    }

    /**
    * 获取 结束 新闻ID
    * @return $newsIdEnd
    */
    public Long getNewsIdEnd(){
        return this.newsIdEnd;
    }

    /**
    * 设置 结束 新闻ID
    * @param newsIdEnd
    */
    public void setNewsIdEnd(Long newsIdEnd){
        this.newsIdEnd = newsIdEnd;
    }

    /**
    * 获取 增加 新闻ID
    * @return newsIdIncrement
    */
    public Long getNewsIdIncrement(){
        return this.newsIdIncrement;
    }

    /**
    * 设置 增加 新闻ID
    * @param newsIdIncrement
    */
    public void setNewsIdIncrement(Long newsIdIncrement){
        this.newsIdIncrement = newsIdIncrement;
    }

    /**
    * 获取 新闻ID
    * @return newsIdList
    */
    public List<Long> getNewsIdList(){
        return this.newsIdList;
    }

    /**
    * 设置 新闻ID
    * @param newsIdList
    */
    public void setNewsIdList(List<Long> newsIdList){
        this.newsIdList = newsIdList;
    }

    /**
    * 获取 新闻ID
    * @return newsIdNotList
    */
    public List<Long> getNewsIdNotList(){
        return this.newsIdNotList;
    }

    /**
    * 设置 新闻ID
    * @param newsIdNotList
    */
    public void setNewsIdNotList(List<Long> newsIdNotList){
        this.newsIdNotList = newsIdNotList;
    }


    /**
    * 获取 查看人名称
    * @return viewNameList
    */
    public List<String> getViewNameList(){
        return this.viewNameList;
    }

    /**
    * 设置 查看人名称
    * @param viewNameList
    */
    public void setViewNameList(List<String> viewNameList){
        this.viewNameList = viewNameList;
    }

    /**
    * 获取 查看人名称
    * @return viewNameNotList
    */
    public List<String> getViewNameNotList(){
        return this.viewNameNotList;
    }

    /**
    * 设置 查看人名称
    * @param viewNameNotList
    */
    public void setViewNameNotList(List<String> viewNameNotList){
        this.viewNameNotList = viewNameNotList;
    }

    /**
    * 获取 开始 累计查看次数
    * @return sumViewsStart
    */
    public Integer getSumViewsStart(){
        return this.sumViewsStart;
    }

    /**
    * 设置 开始 累计查看次数
    * @param sumViewsStart
    */
    public void setSumViewsStart(Integer sumViewsStart){
        this.sumViewsStart = sumViewsStart;
    }

    /**
    * 获取 结束 累计查看次数
    * @return $sumViewsEnd
    */
    public Integer getSumViewsEnd(){
        return this.sumViewsEnd;
    }

    /**
    * 设置 结束 累计查看次数
    * @param sumViewsEnd
    */
    public void setSumViewsEnd(Integer sumViewsEnd){
        this.sumViewsEnd = sumViewsEnd;
    }

    /**
    * 获取 增加 累计查看次数
    * @return sumViewsIncrement
    */
    public Integer getSumViewsIncrement(){
        return this.sumViewsIncrement;
    }

    /**
    * 设置 增加 累计查看次数
    * @param sumViewsIncrement
    */
    public void setSumViewsIncrement(Integer sumViewsIncrement){
        this.sumViewsIncrement = sumViewsIncrement;
    }

    /**
    * 获取 累计查看次数
    * @return sumViewsList
    */
    public List<Integer> getSumViewsList(){
        return this.sumViewsList;
    }

    /**
    * 设置 累计查看次数
    * @param sumViewsList
    */
    public void setSumViewsList(List<Integer> sumViewsList){
        this.sumViewsList = sumViewsList;
    }

    /**
    * 获取 累计查看次数
    * @return sumViewsNotList
    */
    public List<Integer> getSumViewsNotList(){
        return this.sumViewsNotList;
    }

    /**
    * 设置 累计查看次数
    * @param sumViewsNotList
    */
    public void setSumViewsNotList(List<Integer> sumViewsNotList){
        this.sumViewsNotList = sumViewsNotList;
    }


    /**
    * 获取 备注
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
    * 获取 备注
    * @return remarkNotList
    */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
    * 设置 备注
    * @param remarkNotList
    */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
    * 获取 开始 最后浏览时间
    * @return viewTimeStart
    */
    public String getViewTimeStart(){
        return this.viewTimeStart;
    }

    /**
    * 设置 开始 最后浏览时间
    * @param viewTimeStart
    */
    public void setViewTimeStart(String viewTimeStart){
        this.viewTimeStart = viewTimeStart;
    }

    /**
    * 获取 结束 最后浏览时间
    * @return viewTimeEnd
    */
    public String getViewTimeEnd(){
        return this.viewTimeEnd;
    }

    /**
    * 设置 结束 最后浏览时间
    * @param viewTimeEnd
    */
    public void setViewTimeEnd(String viewTimeEnd){
        this.viewTimeEnd = viewTimeEnd;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public NewsRecordQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public NewsRecordQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public NewsRecordQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public NewsRecordQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public NewsRecordQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public NewsRecordQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  新闻ID
    * @param newsId
    */
    public NewsRecordQuery newsId(Long newsId){
	    setNewsId(newsId);
		return this;
    }
	
	 /**
    * 设置 开始 新闻ID
    * @param newsIdStart
    */
    public NewsRecordQuery newsIdStart(Long newsIdStart){
		this.newsIdStart = newsIdStart;
		return this;
    }

    /**
    * 设置 结束 新闻ID
    * @param newsIdEnd
    */
    public NewsRecordQuery newsIdEnd(Long newsIdEnd){
		this.newsIdEnd = newsIdEnd;
		return this;
    }

    /**
    * 设置 增加 新闻ID
    * @param newsIdIncrement
    */
    public NewsRecordQuery newsIdIncrement(Long newsIdIncrement){
		this.newsIdIncrement = newsIdIncrement;
		return this;
    }

    /**
    * 设置 新闻ID
    * @param newsIdList
    */
    public NewsRecordQuery newsIdList(List<Long> newsIdList){
        this.newsIdList = newsIdList;
		return this;
        }

        /**
        * 设置 新闻ID
        * @param newsIdNotList
        */
        public NewsRecordQuery newsIdNotList(List<Long> newsIdNotList){
        this.newsIdNotList = newsIdNotList;
        return this;
        }


	/**
    * 设置 查看人名称
    * @param viewName
    */
    public NewsRecordQuery viewName(String viewName){
        setViewName(viewName);
		return this;
    }

    /**
    * 设置 查看人名称
    * @param viewNameList
    */
    public NewsRecordQuery viewNameList(List<String> viewNameList){
        this.viewNameList = viewNameList;
		return this;
    }

    /**
    * 设置  累计查看次数
    * @param sumViews
    */
    public NewsRecordQuery sumViews(Integer sumViews){
	    setSumViews(sumViews);
		return this;
    }
	
	 /**
    * 设置 开始 累计查看次数
    * @param sumViewsStart
    */
    public NewsRecordQuery sumViewsStart(Integer sumViewsStart){
		this.sumViewsStart = sumViewsStart;
		return this;
    }

    /**
    * 设置 结束 累计查看次数
    * @param sumViewsEnd
    */
    public NewsRecordQuery sumViewsEnd(Integer sumViewsEnd){
		this.sumViewsEnd = sumViewsEnd;
		return this;
    }

    /**
    * 设置 增加 累计查看次数
    * @param sumViewsIncrement
    */
    public NewsRecordQuery sumViewsIncrement(Integer sumViewsIncrement){
		this.sumViewsIncrement = sumViewsIncrement;
		return this;
    }

    /**
    * 设置 累计查看次数
    * @param sumViewsList
    */
    public NewsRecordQuery sumViewsList(List<Integer> sumViewsList){
        this.sumViewsList = sumViewsList;
		return this;
        }

        /**
        * 设置 累计查看次数
        * @param sumViewsNotList
        */
        public NewsRecordQuery sumViewsNotList(List<Integer> sumViewsNotList){
        this.sumViewsNotList = sumViewsNotList;
        return this;
        }


	/**
    * 设置 备注
    * @param remark
    */
    public NewsRecordQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public NewsRecordQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }


    /**
    * 设置  创建用户
    * @param createUserId
    */
    public NewsRecordQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public NewsRecordQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public NewsRecordQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public NewsRecordQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public NewsRecordQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public NewsRecordQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public NewsRecordQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public NewsRecordQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public NewsRecordQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public NewsRecordQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public NewsRecordQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public NewsRecordQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<NewsRecordQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<NewsRecordQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<NewsRecordQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<NewsRecordQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}